Subject: Re: bug#75275: 30.0.92; `make-thread` bug on macOS 15.2

From: Michael Albinus <[email-masked]>
Date: Thu, 02 Jan 2025 11:31:01 +0100

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

> Note that this is a minimized reproducer.  I first noticed the issue
> after I upgraded the GNU ELPA package debbugs, which recently got
> support for threads using `make-thread'.
>
> In that package, the function `debbugs-gnu-show-reports' in
> debbugs-gnu.el is called in a thread, and the backtrace is the same.
> See debbugs-gnu.el:897.
>
> I don't see `sleep-for' called directly there, but I didn't yet
> investigate it very closely.  Maybe Michael (in Cc) knows more.

In debbugs-gnu.el, there are some invocations of sit-for. But they are
not related to the threads machinery in debbugs-gnu-show-reports.

Best regards, Michael.